Get a delivery batche
GET
/v1/projects/{projectId}/collection-orders/{orderId}/delivery-batches/{deliveryBatchId}curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/collection-orders/{orderId}/delivery-batches/{deliveryBatchId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- projectIdstringrequired
- orderIdstringrequired
- deliveryBatchIdstringrequired
Responses
Success
- dataobjectrequired
- submissionsarray<CollectionSubmissionDto>required
- deliveryBatchIdstringrequired
- collectorMembershipIdstringrequired
- statusstringrequired
- submissionCountnumberrequired
- acceptedCountnumberrequired
- rejectedCountnumberrequired
- submittedAtstring | nullrequired
- resolvedAtstring | nullrequired
Response example
{
"data": {
"submissions": [
{
"id": "string",
"orderId": "string",
"taskId": "string",
"sceneId": "string",
"collectorMembershipId": "string",
"recordingId": "string",
"deliveryBatchId": "string",
"decision": "pending",
"reasonCode": "consent_missing",
"reasonDetail": "string",
"reviewerMembershipId": "string",
"decidedAt": "string",
"countsTowardQuota": false,
"recordedDurationS": 0,
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
],
"deliveryBatchId": "string",
"collectorMembershipId": "string",
"status": "string",
"submissionCount": 0,
"acceptedCount": 0,
"rejectedCount": 0,
"submittedAt": "string",
"resolvedAt": "string"
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1